GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
interp Class Referenceabstract

`#include "interps.h"`

Inheritance diagram for interp:

## Public Member Functions
| interp (const char *name)
virtual | ~interp ()=0
virtual void | init (bool top_level)
virtual void | resume ()=0
virtual void | suspend ()=0
virtual gdb_exception | exec (const char *command)=0
virtual ui_out * | interp_ui_out ()=0
virtual void | set_logging (ui_file_up logfile, bool logging_redirect)=0
virtual void | pre_command_loop ()
virtual bool | supports_command_editing ()

## Public Attributes
const char * | name
struct interp * | next
bool | inited

## Detailed Description

Definition at line 41 of file interps.h.

## Constructor & Destructor Documentation

## ◆ interp()

interp::interp | ( | const char * | name | ) |
| explicit

Definition at line 80 of file interps.c.

References inited, and name.

Referenced by as_cli_interp(), as_mi_interp(), execute_gdb_command(), interp_exec(), interp_lookup(), interp_lookup_existing(), interp_set(), mi_inferior_added(), and scoped_restore_interp::set_interp().

## ◆ ~interp()

interp::~interp | ( |  | ) |
| pure virtual

Definition at line 86 of file interps.c.

## Member Function Documentation

## ◆ exec()

virtual gdb_exception interp::exec | ( | const char * | command | ) |
| pure virtual

Implemented in mi_interp, tui_interp, and cli_interp.

Referenced by interp_exec().

## ◆ init()

virtual void interp::init | ( | bool | top_level | ) |
| inline virtual

Reimplemented in mi_interp, tui_interp, and cli_interp.

Definition at line 47 of file interps.h.

Referenced by interp_set().

## ◆ interp_ui_out()

virtual ui_out* interp::interp_ui_out | ( |  | ) |
| pure virtual

Implemented in mi_interp, tui_interp, and cli_interp.

Referenced by interp_set(), interp_ui_out(), tui_on_end_stepping_range(), tui_on_exited(), tui_on_no_history(), tui_on_normal_stop(), tui_on_signal_exited(), tui_on_signal_received(), and tui_on_user_selected_context_changed().

## ◆ pre_command_loop()

virtual void interp::pre_command_loop | ( |  | ) |
| inline virtual

Reimplemented in mi_interp, and cli_interp_base.

Definition at line 68 of file interps.h.

Referenced by interp_pre_command_loop().

## ◆ resume()

virtual void interp::resume | ( |  | ) |
| pure virtual

Implemented in mi_interp, tui_interp, and cli_interp.

Referenced by interp_set().

## ◆ set_logging()

virtual void interp::set_logging | ( | ui_file_up | logfile,
|  | bool | logging_redirect
| ) |  |
| pure virtual

Implemented in mi_interp, and cli_interp_base.

Referenced by current_interp_set_logging().

## ◆ supports_command_editing()

virtual bool interp::supports_command_editing | ( |  | ) |
| inline virtual

Reimplemented in cli_interp_base.

Definition at line 74 of file interps.h.

Referenced by interp_supports_command_editing().

## ◆ suspend()

virtual void interp::suspend | ( |  | ) |
| pure virtual

Implemented in mi_interp, tui_interp, and cli_interp.

Referenced by interp_set().

## Member Data Documentation

## ◆ inited

bool interp::inited

Definition at line 85 of file interps.h.

Referenced by interp(), and interp_set().

## ◆ name

const char* interp::name

Definition at line 78 of file interps.h.

Referenced by current_interp_named_p(), mi_interp::init(), interp(), interp_add(), interp_lookup_existing(), interp_name(), interp_set(), and interpreter_completer().

## ◆ next

struct interp* interp::next

Definition at line 82 of file interps.h.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), interp_add(), and interp_lookup_existing().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/interps.h
- /tmp/gdb-8.1/gdb/interps.c